Gtk2::Gdk::Screen(3)

NAME
Gtk2::Gdk::Screen

HIERARCHY
  Glib::Object
  +----Gtk2::Gdk::Screen

METHODS

  window = $screen->get_active_window
Since: gtk+ 2.10

  $screen->broadcast_client_message ($event)

•   $event (Gtk2::Gdk::Event)

  colormap = $screen->get_default_colormap

  $screen->set_default_colormap ($colormap)

•   $colormap (Gtk2::Gdk::Colormap)

  screen or undef = Gtk2::Gdk::Screen->get_default

  display = $screen->get_display

  fontoptions or undef = $screen->get_font_options
Since: gtk+ 2.10

  $screen->set_font_options ($options)

•   $options (Cairo::FontOptions or undef)

Since: gtk+ 2.10

  integer = $screen->get_height

  integer = $screen->get_height_mm

  boolean = $screen->is_composited
Since: gtk+ 2.10

  list = $screen->list_visuals
Returns a list of Gtk2::Gdk::Visual's.

  string = $screen->make_display_name

  integer = $screen->get_monitor_at_point ($x, $y)

•   $x (integer)

•   $y (integer)

  integer = $screen->get_monitor_at_window ($window)

•   $window (Gtk2::Gdk::Window)

  rectangle = $screen->get_monitor_geometry ($monitor_num)

•   $monitor_num (integer)

  integer = $screen->get_monitor_height_mm ($monitor_num)

•   $monitor_num (integer)

Since: gtk+ 2.14

  string or undef = $screen->get_monitor_plug_name ($monitor_num)

•   $monitor_num (integer)

Since: gtk+ 2.14

  integer = $screen->get_monitor_width_mm ($monitor_num)

•   $monitor_num (integer)

Since: gtk+ 2.14

  integer = $screen->get_n_monitors

  integer = $screen->get_number

  double = $screen->get_resolution
Since: gtk+ 2.10

  $screen->set_resolution ($dpi)

•   $dpi (double)

Since: gtk+ 2.10

  colormap = $screen->get_rgb_colormap

  visual = $screen->get_rgb_visual

  colormap or undef = $screen->get_rgba_colormap
Since: gtk+ 2.8

  visual or undef = $screen->get_rgba_visual
Since: gtk+ 2.8

  window = $screen->get_root_window

  integer = $screen->get_screen_number
Since: gtk+ 2.2

  scalar = $screen->get_setting ($name)

•   $name (string)

  boolean = $screen->supports_net_wm_hint ($property)

•   $property (Gtk2::Gdk::Atom)

Since: gtk+ 2.2

  colormap = $screen->get_system_colormap

  visual = $screen->get_system_visual

  list = $screen->get_toplevel_windows
Returns a list of Gtk2::Gdk::Window's.

  integer = $screen->get_width

  integer = $screen->get_width_mm

  string = $screen->get_window_manager_name
Since: gtk+ 2.2

  list = $screen->get_window_stack
Since: gtk+ 2.10

PROPERTIES

'font-options' (gpointer : readable / writable / private)
    The default font options for the screen

'resolution' (double : readable / writable / private)
    The resolution for fonts on the screen

SIGNALS

composited-changed (Gtk2::Gdk::Screen)
size-changed (Gtk2::Gdk::Screen)
monitors-changed (Gtk2::Gdk::Screen)

SEE ALSO
Gtk2, Glib::Object

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.